Page MenuHomePhabricator

Make User::isLocallyBlockedProxy() use IPSet
Closed, ResolvedPublic

Description

Spawned from T36261, User::isLocallyBlockedProxy uses array_search and array_key_exists on $wgProxyList...

It should really just use IPSet

Event Timeline

Reedy created this task.Mar 28 2017, 12:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2017, 12:20 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 28 2017, 12:27 AM
Reedy updated the task description. (Show Details)Mar 28 2017, 5:51 PM
Reedy updated the task description. (Show Details)Mar 28 2017, 7:48 PM
Florian claimed this task.Apr 15 2017, 11:25 PM

Change 348313 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/core@master] Use IPSet for checking of wgProxyList

https://gerrit.wikimedia.org/r/348313

Change 348313 merged by jenkins-bot:
[mediawiki/core@master] Use IPSet for checking of wgProxyList

https://gerrit.wikimedia.org/r/348313

Florian closed this task as Resolved.May 2 2017, 12:20 PM